[Top][All Lists]

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

Re: --with-gtk as default?

From: David Kastrup
Subject: Re: --with-gtk as default?
Date: Wed, 28 Feb 2007 12:40:23 +0100
User-agent: Gnus/5.11 (Gnus v5.11) Emacs/22.0.94 (gnu/linux)

address@hidden (Kim F. Storm) writes:

> Nick Roberts <address@hidden> writes:
>> Would it
>> not be better to make --with-gtk the default immediately _after_ the release 
>> so
>> it gets a thorough testing first?
> That's a good plan.
> The risk is that there are older (or incomplete) versions of GTK out
> there which don't work well with Emacs, so making --with-gtk the
> default would make it harder to get a working Emacs on such systems.
> Personally, I had a lot of problems trying to collect a working set
> of GTK libraries when I tried to update my Redhat 9.0 to be able to
> build --with-gtk.  I don't recall whether it succeeded or I gave up
> on it, but I haven't tried to build --with-gtk since, and probably
> wont.

Sigh.  So the default Emacs installations for decades to come are
going to show off the utterly archaic Athena look, except on
proprietary platforms like Windows and MacosX.  Does Athena even allow
Unicode characters in menus (never mind about antialiasing them) by

Consider me disappointed.

David Kastrup, Kriemhildstr. 15, 44793 Bochum

reply via email to

[Prev in Thread] Current Thread [Next in Thread]